import { __assign } from 'tslib';
import { _rgbaOrHexString } from './_rgbaOrHexString.js';

function updateA(color, a) {
  return __assign(__assign({}, color), { a: a, str: _rgbaOrHexString(color.r, color.g, color.b, a, color.hex) });
}

export { updateA };
